curl --request PATCH \
--url https://plugin-pix-indirect.api.lerian.net/v1/dict/entries/{entry_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Account-Id: <x-account-id>' \
--header 'X-Reason: <x-reason>' \
--data '
{
"account": {
"branch": "0001",
"number": "123456789",
"type": "TRAN"
},
"owner": {
"name": "John Doe",
"tradeName": "Johns Store"
}
}
'import requests
url = "https://plugin-pix-indirect.api.lerian.net/v1/dict/entries/{entry_id}"
payload = {
"account": {
"branch": "0001",
"number": "123456789",
"type": "TRAN"
},
"owner": {
"name": "John Doe",
"tradeName": "Johns Store"
}
}
headers = {
"X-Account-Id": "<x-account-id>",
"X-Reason": "<x-reason>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-Account-Id': '<x-account-id>',
'X-Reason': '<x-reason>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
account: {branch: '0001', number: '123456789', type: 'TRAN'},
owner: {name: 'John Doe', tradeName: 'Johns Store'}
})
};
fetch('https://plugin-pix-indirect.api.lerian.net/v1/dict/entries/{entry_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "019c96a0-0c0c-7221-8cf3-13313fb60081",
"key": "john.doe@example.com",
"keyType": "EMAIL",
"status": "ACTIVE",
"account": {
"branch": "0001",
"number": "123456789",
"participant": "12345678",
"type": "TRAN"
},
"owner": {
"name": "John Doe",
"taxIdNumber": "12345678901",
"type": "NATURAL_PERSON"
},
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z"
}Update an Entry
Use this endpoint to update an existing Pix entry data associated with an account.
Notes:
-
Only the account information, name, and trade name can be changed.
-
EVP keys (random) - Changes are allowed with the following reasons: BRANCH_TRANSFER, RECONCILIATION, and RFB_VALIDATION.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Unique identifier of the Midaz Ledger Account (UUID format).
Specifies the reason for Pix key entry update. Valid values: USER_REQUESTED, BRANCH_TRANSFER, RECONCILIATION.
USER_REQUESTED, BRANCH_TRANSFER, RECONCILIATION Path Parameters
Unique identifier of the Pix entry (UUID format).
Body
Response
Entry updated successfully in DICT and local database.
Unique identifier of the entry (UUID format).
"019c96a0-0c0c-7221-8cf3-13313fb60081"
Pix key value.
"john.doe@example.com"
Type of Pix key.
"EMAIL"
Entry status (ACTIVE, INACTIVE).
"ACTIVE"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Creation timestamp.
"2024-01-15T10:30:00Z"
Last update timestamp.
"2024-01-15T10:30:00Z"
Was this page helpful?

